'===============================================================================
'*
'*  : Sasha_1973
'*  :  07.01.2014 .
'*
'*  :  Attiny13
'*    :  9,6 M
'*
'*  : BASCOM-AVR 2.0.7.1
'*     Bascom: Consolas;  = 14
'*
'*   : Proteus 7.10 SR0
'*
'*  :
'*                 220 
'*
'===============================================================================

  $map              '      Bascom

  $regfile = "Attiny13.dat"       '  

  $crystal = 9600000       ' 9,6 

  $framesize = 32   '      
  $hwstack = 20     '   
  $swstack = 10     '   

'--------------      INT0  -----------------------------

  Config Pinb.1 = Input       '    

'  Config Int0 = Falling       '        Rising (  ) ; Falling (  ) ; Low Level (  )

  Mcucr = &B00100010       '    "Idle"   INT1   "Falling"
'           ||||||||
'           |||||||+- 0 - ISC00 -    INT0   35    
'           ||||||+-- 1 - ISC01 -    INT0   35    
'           |||||+--- 2 -  
'           ||||+---- 3 - SM0   -     10-2    
'           |||+----- 4 - SM1   -     10-2    
'           ||+------ 5 - SE    -    = 1,  = 0
'           |+------- 6 - PUD   - Pull-up Disable
'           +-------- 7 -  
' :

'      INT0,    "0"

  On Int0 __int0 Nosave

'---------    TIMER0,    -----------------

  Config Timer0 = Timer , Prescale = 1024 , Clear Timer = 0       '       Prescale = 1|8|64|256|1024
  On Timer0 __timer0 Nosave       '      TIMER0
  Stop Timer0       '  
  Timer0 = 0        '  

'---------         ----------------------

   Alias Portb.3 : Config  = Output :  = 0

'----------------     -------------------------------------

  Const __ = 30

'----------------     ------------------------------------

  Dim __ As Byte
  Dim __ As Byte

'---------------     -----------------------------------

  __ = 1
  __ = 167

'--------------       ----------------------

  Enable Int0
  Enable Timer0
  Start Timer0

'------------        --------------------

  Enable Interrupts '   

'===============================================================================

'                                     

'===============================================================================
  _:


    If __ = 1 Then
        Incr __
        If __ = 254 Then __ = 0
      Else
        Decr __
        If __ = 167 Then __ = 1
    End If


   sleep
  Goto _
 End
'===============================================================================

'                                   

'===============================================================================




'===============================================================================
  __int0:       '    ,    16  + 8        = 24 
'-------------------------------------------------------------------------------
    !lds R26 , {__}       '   , 2 
    !Out tcnt0 , R26       '   , 1 

    !Ldi R18 , &B00000101       '   , 1 
    !Out Tccr0 , R18       '   , 1 

    !reti
'-------------------------------------------------------------------------------
  Return
'===============================================================================




'===============================================================================
  __timer0:
'-------------------------------------------------------------------------------
    !ldi R18 , 0    '   , 1 
    !Out timer0 , R18       '   , 1 

    !SBI Portb , 3  '      '   , 2 

    Waitus __       '     

    !CBI portb , 3  '      '   , 2 
'-------------------------------------------------------------------------------
  Return
'===============================================================================